#include "vision.h"

std::vector<int> getVisionPattern1d(){
    return {3, 1, 1, 2, 1};
}

int getMove1d(std::vector<int> v){
    int sz = v.size(), x = v[sz / 2];
    if(x == 3){
    	if(v[6] == 2) return 6;
    	return 0;
	}
	if(x == 2){
		if(v[4] == 3) return 4;
		return 0;
	}
	if(v[0] == 1) return 2;
	return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
